---
title: DOMUserData
slug: Web/API/DOMUserData
tags:
  - API
  - DOM
  - Interface
  - NeedsCompatTable
  - Obsolete
  - Reference
---
<p>{{ ApiRef("DOM") }}{{deprecated_header}}</p>

<p><code>DOMUserData</code> refers to application data. In JavaScript, it maps directly to <code><a href="/en/JavaScript/Reference/Global_Objects/Object" title="en/Core_JavaScript_1.5_Reference/Global_Objects/Object">Object</a></code>. It is returned or used as an argument by <code><a class="internal" href="/En/DOM/Node.setUserData" title="En/DOM/Node.setUserData">Node.setUserData</a>()</code>, <code><a class="internal" href="/En/DOM/Node.getUserData" title="En/DOM/Node.getUserData">Node.getUserData</a>()</code>, used as the third argument to <code>handle()</code> on <a class="internal" href="/En/DOM/UserDataHandler" title="En/DOM/UserDataHandler"><code>UserDataHandler</code></a>, and is used or returned by various <a class="internal" href="/En/DOM/DOMConfiguration" title="En/DOM/DOMConfiguration"><code>DOMConfiguration</code></a> methods.</p>

<p>Note that although it can be an object, in Mozilla, it may be returned as a string or other type, if it was set as such a type (e.g., <code><a href="/En/DOM/Node.setUserData" title="En/DOM/Node.setUserData">Node.setUserData</a>()</code> and <code><a href="/En/DOM/Node.getUserData" title="En/DOM/Node.getUserData">Node.getUserData</a>()</code>).</p>

<p><code>DOMUserData</code> is not persisted nor serialized and will not be present after the application has restarted or after a crash. If you are interested in persisting data you might rather need to use {{ interface("nsISessionStore") }}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("DOM3 Core", "core.html#DOMUserData", "DOMUserData")}}</td>
   <td>{{Spec2("DOM3 Core")}}</td>
   <td>Initial specification</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>Other obsolete APIs for userData: <a href="/En/DOM/UserDataHandler" title="En/DOM/UserDataHandler"><code>UserDataHandler</code></a>, <a href="/En/DOM/Node.getUserData" title="En/DOM/Node.getUserData"><code>node.getUserData</code></a>, <a href="/En/DOM/Node.setUserData" title="En/DOM/Node.setUserData"><code>node.setUserData</code></a></li>
 <li><a href="/en-US/docs/Web/Guide/HTML/Using_data_attributes">Using data attributes</a> is the modern alternative (see {{htmlattrxref("data-*")}} attributes, {{domxref("HTMLElement.dataset")}})</li>
 <li>{{ interface("nsISessionStore") }}</li>
</ul>
